Bug 1218766

Summary: Rebase libguestfs in RHEL 7.3
Product: Red Hat Enterprise Linux 7 Reporter: Richard W.M. Jones <rjones>
Component: libguestfsAssignee: Richard W.M. Jones <rjones>
Status: CLOSED ERRATA QA Contact: Virtualization Bugs <virt-bugs>
Severity: high Docs Contact: Jiri Herrmann <jherrman>
Priority: unspecified    
Version: 7.3CC: fdeutsch, juzhou, leiwang, linl, martin, mzhan, ptoscano, rjones, sherold, tzheng, wshi, xchen, xiaodwan, ycui
Target Milestone: rcKeywords: Rebase
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libguestfs-1.32.7-1.el7 Doc Type: Release Note
Doc Text:
_libguestfs_ rebased to version 1.32.7 The _libguestfs_ packages have been upgraded to upstream version 1.32.6, which provides a number of bug fixes and enhancements over the previous version. Notable changes include the following: * The *virt-get-kernel* utility has been added, which can be used to extract the kernel and initial RAM file system (initramfs) from a disk image file. For details, see the virt-get-kernel(1) man page. * The "virt-dib" utility has been added. Its capabilities include building disk image files and ramdisks. For more information, see the virt-dib(1) man page. * Multiple options have been added for the *virt-customize*, *virt-builder*, and *virt-systprep* utilities.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-03 17:50:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1264253, 1308769    
Bug Blocks: 1305606, 1313485, 1064041, 1099976, 1155150, 1156298, 1164708, 1166057, 1167623, 1173695, 1174551, 1176801, 1180769, 1190669, 1225789, 1227609, 1229119, 1238053, 1239154, 1242853, 1260801, 1264835, 1267032, 1277074, 1277122, 1283588, 1288337, 1290755, 1292437, 1292438, 1301891, 1306557, 1318440, 1332025, 1343167    

Description Richard W.M. Jones 2015-05-05 19:44:15 UTC
Description of problem:

It looks like libguestfs in RHEL 7.2 will carry ~ 200 patches.

libguestfs upstream maintains a very strong commitment to backwards
compatibility.  We have never broken the C API, and (apart from
one notorious occasion with virt-inspector that happened a long
time ago) never break backwards compat for command line tools either.

Therefore it makes sense to rebase libguestfs in RHEL 7.3.

Version-Release number of selected component (if applicable):

Probably libguestfs 1.30

Comment 1 Richard W.M. Jones 2015-09-22 08:38:59 UTC
The plan is to rebase along the development (1.31) branch for the
next few months, and then some time late this year made a stable
release upstream (1.32) and finally rebase to that.  RHEL 7.3 will
therefore contain libguestfs 1.32.xx.

A RHEL 7.3 candidate build is available here, ready for initial testing:

https://brewweb.devel.redhat.com/taskinfo?taskID=9865581

The upstream 'rhel-7.3' branch contains the exploded patches:

https://github.com/libguestfs/libguestfs/commits/rhel-7.3

Notes:

- We are no longer running the tests during the build (except for
  a basic sanity check of qemu/kernel/libvirt/appliance).  The
  intention is that we will run the tests on the package after it
  has built.  See this email for how to do that:
  https://www.redhat.com/archives/libguestfs/2015-September/msg00078.html

- There are two new tools:

  * virt-dib [this is broken in the current build, will be fixed shortly]
  * virt-get-kernel

- There are two new subpackages:

  * virt-dib
  * libguestfs-inspect-icons (bug 1194158)

- A summary of all new features in libguestfs 1.30 vs 1.28 can be found here:
  http://libguestfs.org/guestfs-release-notes.1.html#release-notes-for-libguestfs-1.30

Comment 2 Richard W.M. Jones 2015-09-22 09:19:28 UTC
Updated build with installable virt-dib subpackage:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=9865831

Comment 5 Xianghua Chen 2016-06-07 02:25:09 UTC
Verified with the package:
libguestfs-1.32.5-2.el7.x86_64

Automation test result: 
https://polarion.engineering.redhat.com/polarion/#/project/RedHatEnterpriseLinux7/testrun?id=libguestfs-1_32_5-2_el7%20RHEL-7_2-20151030_0%20x86_64%202016-06-05%2023-26-25

Result: PASSED

Comment 6 Richard W.M. Jones 2016-07-22 09:18:14 UTC
Rebase bug for RHEL 7.4: https://bugzilla.redhat.com/show_bug.cgi?id=1359086

Comment 7 Fabian Deutsch 2016-08-08 07:51:23 UTC
Could a centos based build be provided for upstream testing?

Comment 8 Richard W.M. Jones 2016-08-08 08:08:40 UTC
That's up to CentOS.  However the preview packages that I am
publishing should work on top of CentOS 7.2:

https://people.redhat.com/~rjones/libguestfs-RHEL-7.3-preview/

Comment 11 errata-xmlrpc 2016-11-03 17:50:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html

Comment 12 errata-xmlrpc 2016-11-03 21:39:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html